
using Godot;
using System.Collections.Generic;
 
namespace Rokojori
{ 
  [Tool]
  [GlobalClass,Icon("res://addons/rokojori_action_library/Icons/UIRegion.svg")]
  public partial class UIWrapper : UIRegion
  { 
    [Export]
    public Control wrappedControl;

    public override void Layout()
    {
      base.Layout();

      if ( wrappedControl != null )
      {
        wrappedControl.Size = Size;
        wrappedControl.Position = Vector2.Zero;
      }
    }

  }
}